%global gem_name rdiscount

Summary: Converts documents in Markdown syntax to HTML
Name: rubygem-%{gem_name}
Version: 2.2.0.1
Release: 1%{?dist}
License: ASL 1.1
URL: http://github.com/rtomayko/rdiscount
#URL: http://dafoster.net/projects/rdiscount/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc

%description
Description: RDiscount converts documents in Markdown syntax to HTML.

It uses the excellent Discount processor by David Loren Parsons for this
purpose, and thereby inherits Discount's numerous useful extensions to the
Markdown language.

#--


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
This package contains Rakefile, test directory and documentation for
%{name}.

#--


%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
mkdir -p %{buildroot}%{_mandir}/man1
mv .%{gem_instdir}/man/rdiscount.1 %{buildroot}%{_mandir}/man1
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/

mkdir -p %{buildroot}%{_bindir}
mv .%{_bindir}/* %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/rdiscount
%{gem_extdir_mri}
%{gem_instdir}/BUILDING
%license %{gem_instdir}/COPYING
%{gem_instdir}/bin
%{gem_libdir}
%{_mandir}/man1/rdiscount.1.gz
# markdown.7 rdiscount.1.ronn
%{gem_instdir}/man
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/rdiscount.gemspec
%{gem_instdir}/test

%changelog
* Thu Oct 17 2019 Gerd Pokorra <gp@zimt.uni-siegen.de> - 2.2.0.1-1
- Initial package for epel8
